Displaying 5 results from an estimated 5 matches for "has_lib".
2011 Sep 30
13
[PATCH] tools/check: check for yajl (needed by libxl)
...to committer, ensure the new file is executable)
diff -r e50da6b98e3d -r 4b9886869021 tools/check/check_yajl_lib
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tools/check/check_yajl_lib Fri Sep 30 08:33:15 2011 +0100
@@ -0,0 +1,7 @@
+#!/bin/sh
+# CHECK-BUILD CHECK-INSTALL
+
+. ./funcs.sh
+
+
+has_lib libyajl.so || fail "can''t find yajl"
_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xensource.com
http://lists.xensource.com/xen-devel
2006 Feb 24
5
Sanity Check
...endor/rails/railties/lib/initializer.rb) to see wtf is
going on, and found the problem... but... can''t explain it. Here is the
code in question:
lib_path = File.join(directory, ''lib'')
init_path = File.join(directory, ''init.rb'')
has_lib = File.directory?(lib_path)
#raise LoadError, "Dude, this path is ok: " + has_lib# =>
public/../config/../vendor/plugins/my_plugin/init.rb
has_init = File.file?(init_path)
#raise LoadError, "WTF !...." + has_init.to_s# =>
False...
2011 Nov 03
3
[PATCH 0 of 2 RESEND] tools: add two new compile flags and perform checks on user defined folders.
Added two new sets of compile flags, and pass them to the check scripts, so libraries and includes are searched there also.
Resend this patches because they suffered some modifications and where scattered along the mailing list.
Please review, thanks Roger.
_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xensource.com
http://lists.xensource.com/xen-devel
2011 Dec 20
26
[PATCH v2] libxl: add support for yajl 2.x
...>
diff -r f72b99fccfca -r 716d6d48e647 Config.mk
--- a/Config.mk Tue Dec 20 08:31:40 2011 +0100
+++ b/Config.mk Tue Dec 20 13:52:55 2011 +0100
@@ -186,6 +186,11 @@ CONFIG_LIBICONV := $(shell export OS="
. $(XEN_ROOT)/tools/check/funcs.sh; \
has_lib libiconv.so && echo ''y'' || echo ''n'')
+CONFIG_YAJL_VERSION := $(shell export OS="`uname -s`"; \
+ export CHECK_INCLUDES="$(CHECK_INCLUDES)"; \
+ . $(XEN_ROOT)/tools/check/funcs.sh; \
+...
2012 Jan 15
2
[PATCH v3] libxl: add support for yajl 2.x
...k).
XSM_ENABLE ?= n
FLASK_ENABLE ?= $(XSM_ENABLE)
diff -r cd47dde439e6 -r a1986ef30b7d tools/check/check_yajl_lib
--- a/tools/check/check_yajl_lib Sat Jan 14 19:04:48 2012 +0100
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,6 +0,0 @@
-#!/bin/sh
-# CHECK-BUILD CHECK-INSTALL
-
-. ./funcs.sh
-
-has_lib libyajl.so.1 || fail "can''t find libyajl.so.1 version 1"
diff -r cd47dde439e6 -r a1986ef30b7d tools/libxl/Makefile
--- a/tools/libxl/Makefile Sat Jan 14 19:04:48 2012 +0100
+++ b/tools/libxl/Makefile Sun Jan 15 06:56:00 2012 +0100
@@ -19,6 +19,10 @@ ifeq ($(CONFIG_Linux),y)
LIBU...